Adobe Creative Cloud for Teams - Complete

Produk baru

The Creative Cloud website and associated websites such as the Adobe Admin Console and Enterprise Dashboard are all designed to work optimally in the latest versions of Chrome, Safari, Firefox, and Internet Explorer. The site should degrade gracefully on older browsers; you may have trouble using certain features on those older versions. Internet Explorer 8 and earlier are not supported.

System requirements

Creative Cloud website

The Creative Cloud website and associated websites such as the Adobe Admin Console and Enterprise Dashboard are all designed to work optimally in the latest versions of Chrome, Safari, Firefox, and Internet Explorer. The site should degrade gracefully on older browsers; you may have trouble using certain features on those older versions. Internet Explorer 8 and earlier are not supported.

Browser Compatibility

Mac OS Windows 7 Windows 8

Safari 7.x

 

 

Internet Explorer 9

Internet Explorer 10

Internet Explorer 11

Internet Explorer 10

Internet Explorer 11

 

Google Chrome Google Chrome Google Chrome
 Firefox 4 or later Firefox 4 or later Firefox 4 or later

Desktop applications

Creative Cloud membership provides access to all creative desktop apps for download and installation on your local computer, as well as additional apps and online services. Desktop applications included with your membership are available in both Mac OS and Windows® versions. All 2015 Creative Cloud desktop apps have a minimum operating system requirement of Mac OS X 10.9 and Windows 7, or later. Earlier versions of Creative Cloud apps are supported on earlier operating systems.

Filter Brand Adobe

Belum ada review dari pelanggan.

Tulis komentar Anda

Adobe Creative Cloud for Teams - Complete

Adobe Creative Cloud for Teams - Complete

The Creative Cloud website and associated websites such as the Adobe Admin Console and Enterprise Dashboard are all designed to work optimally in the latest versions of Chrome, Safari, Firefox, and Internet Explorer. The site should degrade gracefully on older browsers; you may have trouble using certain features on those older versions. Internet Explorer 8 and earlier are not supported.

Related Products